const { formmat } = require("../../utils/http");
const { MediaService, MediaOnceService } = require("../../service/index");
async function MediaController(data) {
  let list = [];
  let code = 0;
  let msg = "ok";
  try{
    list = await MediaService(data);
  }catch{
    code = 500;
    msg = "err";
  }
  return formmat(list, code, msg);
}

async function MediaOnceController(data) {
  let list = [];
  let code = 0;
  let msg = "ok";
  try{
    list = await MediaOnceService(data);
  }catch{
    code = 500;
    msg = "err";
  }
  return formmat(list, code, msg);
}


module.exports = {
  MediaController,
  MediaOnceController
}