// pages/videoDetail/index.js
import { httpCloud } from "../../utils/httpFunc";
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    media: {},
    indexItem: {},
    videoWidth: 0,
    videoHeight: 0,
  },

  toNext(e) {
    const item =this.data.media.child[e.currentTarget.dataset.index];
    wx.redirectTo({
      url:  "/pages/videoDetail/index?id=" + item.id + '&group=' + this.data.media.location
    })
  },

  loadedmetadata(e) {
    const { width, height } = e.detail || {};
    this.setData({
      videoWidth: app.globalData.client.windowWidth,
      videoHeight: app.globalData.client.windowWidth / width * height
    })
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    const _this = this;
    httpCloud({
      name: "server",
      type: "getMediaOnceController",
      data: {
        typeMedia: 'video',
        id: options.id,
        group: options.group
      },
      call(res) {
        const ori = res[0] || { child: [] };
        let indexItem = {};
        for (let i = 0; i < ori.child.length; i++) {
          const v = ori.child[i];
          if (v.id === options.id) {
            indexItem = v
            break
          } else continue
        }
        _this.setData({
          media: ori,
          indexItem
        })
        wx.setNavigationBarTitle({
          title: indexItem.title
        })
      }
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})